<?php

namespace XenGenTr\ZiyaretcilereLinkGizle\Option;

use \XF\Option\AbstractOption;

class Option extends AbstractOption
{
	public static function renderOption(\XF\Entity\Option $option, array $htmlParams)
	{
		$choices = [];
		foreach ($option->option_value AS $word)
		{
			$choices[] = [
				'url' 		=> filter_var($word, FILTER_VALIDATE_URL)?$word:'',
			];
		}

		return self::getTemplate('admin:xgt_ziyaretcilere_link_gizle_etkilenmeyenler', $option, $htmlParams, [
			'choices' => $choices,
			'nextCounter' => count($choices)
		]);
	}

	public static function verifyOption(array &$value)
	{
		$output = [];

		foreach ($value AS $word)
		{
			if (!isset($word['url']) || strval($word['url']) === '')
			{
				continue;
			}
			if (filter_var($word['url'], FILTER_VALIDATE_URL))
			{
				$output[] = strval($word['url']);
			}
		}

		$value = $output;

		return true;
	} 
}